#sidebarOverlay {
  position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0,0,0,0.4); opacity: 0; visibility: hidden; transition: 0.3s; z-index: 9998;
}
.custom-sidebar {
  position: fixed; overflow-y: auto; top: 0; right: -260px; width: 260px; height: 100%; background: #fff; transition: 0.4s ease; z-index: 9999; padding: 15px; display: flex; flex-direction: column; font-family: Manrope, sans-serif;
}
.custom-sidebar.active {
  right: 0;
}
#sidebarOverlay.active {
  opacity: 1; visibility: visible;
}
.close-btn {
  position: absolute; right: 15px; top: 15px; font-size: 20px; font-weight: 900; cursor: pointer; color: #043A75;
}
.sidebar-logo {
  text-align: left; margin-bottom: 20px;
}
.sidebar-logo img {
  width: 60%; height: 100%; object-fit: contain;
}
.menu-list {
  list-style: none; padding: 0; margin: 0;
}
.menu-list li {
  margin: 0; border-bottom: 1px solid #D7DEE8;
}
.menu-list li > a {
  position: relative; display: block; padding: 14px 0 14px 0; font-size: 18px; color: #021d40; text-decoration: none; transition: 0.3s ease;
}
.custom-sidebar .menu-item-has-children {
  position: relative;
}
.custom-sidebar .menu-item-has-children > a {
  display: flex; align-items: center; justify-content: space-between; gap: 10px; width: 100%;
}
.submenu-toggle {
  display: flex; align-items: center; justify-content: center; min-width: 24px; height: 24px; font-size: 26px; line-height: 1; color: #4DB8FF; cursor: pointer; user-select: none; flex-shrink: 0;
}
.custom-sidebar .menu-item-has-children > .sub-menu {
  list-style: none; padding-left: 15px; margin: 0; max-height: 0; overflow: hidden; transition: max-height 0.4s ease;
}
.custom-sidebar .menu-item-has-children.active > .sub-menu {
  max-height: 500px;
}
.custom-sidebar .sub-menu li a {
  font-size: 16px; padding: 10px 0; color: #4b4b4b;
}
.custom-sidebar .sub-menu li:last-child {
    border-bottom: none;
}
.sidebar-cta {
  margin-top: 20px; border-radius: 8px;
}
.custom-sidebar.active .gradient-btn {
  width: 100%; font-weight: 600; display: inline-block; color: #fff; padding: 12px 14px; text-decoration: none; border-radius: 8px;
}
.sidebar-social {
  display: flex; justify-content: center; margin-top: 20px; flex-wrap: wrap; gap: 10px;
}
.sidebar-social img {
  width: 50px; border-radius: 50%; box-shadow: 0px 2px 4px rgba(0,0,0,0.1);
}
.custom-sidebar.active .gradient-btn {
  padding: 12px 10px;
}
.sm-search-container {
  padding: 0px 4px; border: 1px solid #A7B1B7; border-radius: 8px; margin-bottom: 10px;
}
.search-form {
  width: 100%; display: flex; justify-content: space-between; gap: 10px;
}
.search-form input {
  width: 100%; padding: 10px; border-radius: 4px; background: transparent; font-size: 20px; font-weight: 600; color: #062A39; border: none;
}
.search-form input::placeholder {
  color: #062A39;
}
.search-form button {
  padding: 0px; background: transparent; color: #fff; border: none; cursor: pointer; border-radius: 4px;
}

@media (max-width: 768px) {
  .search-form input {
    font-size: 14px; padding: 10px 0px;
  }
  .search-form button img{
    width: 30px; height: 30px; object-fit: contain;
  }
}